Index: uspace/lib/ieee80211/src/ieee80211.c
===================================================================
--- uspace/lib/ieee80211/src/ieee80211.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ieee80211/src/ieee80211.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -496,5 +496,5 @@
 }
 
-static errno_t ieee80211_scan(void *arg)
+static int ieee80211_scan(void *arg)
 {
 	assert(arg);
@@ -514,8 +514,8 @@
  * @param fun NIC function.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-static errno_t ieee80211_open(ddf_fun_t *fun)
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+static int ieee80211_open(ddf_fun_t *fun)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -527,5 +527,5 @@
 	ieee80211_dev->started = true;
 	
-	errno_t rc = ieee80211_dev->ops->start(ieee80211_dev);
+	int rc = ieee80211_dev->ops->start(ieee80211_dev);
 	if (rc != EOK)
 		return rc;
@@ -655,5 +655,5 @@
  *
  */
-static errno_t ieee80211_implement(ieee80211_dev_t *ieee80211_dev,
+static int ieee80211_implement(ieee80211_dev_t *ieee80211_dev,
     ieee80211_ops_t *ieee80211_ops, ieee80211_iface_t *ieee80211_iface,
     nic_iface_t *nic_iface, ddf_dev_ops_t *nic_dev_ops)
@@ -728,8 +728,8 @@
  * @param ddf_dev       Pointer to backing DDF device structure.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_device_init(ieee80211_dev_t *ieee80211_dev, ddf_dev_t *ddf_dev)
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_device_init(ieee80211_dev_t *ieee80211_dev, ddf_dev_t *ddf_dev)
 {
 	ieee80211_dev->ddf_dev = ddf_dev;
@@ -768,12 +768,12 @@
  *                        interface operations.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_init(ieee80211_dev_t *ieee80211_dev,
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_init(ieee80211_dev_t *ieee80211_dev,
     ieee80211_ops_t *ieee80211_ops, ieee80211_iface_t *ieee80211_iface,
     nic_iface_t *ieee80211_nic_iface, ddf_dev_ops_t *ieee80211_nic_dev_ops)
 {
-	errno_t rc = ieee80211_implement(ieee80211_dev,
+	int rc = ieee80211_implement(ieee80211_dev,
 	    ieee80211_ops, ieee80211_iface,
 	    ieee80211_nic_iface, ieee80211_nic_dev_ops);
@@ -847,8 +847,8 @@
  * @param ssid          Probing SSID or NULL if broadcast.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_probe_request(ieee80211_dev_t *ieee80211_dev, char *ssid)
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_probe_request(ieee80211_dev_t *ieee80211_dev, char *ssid)
 {
 	nic_t *nic = nic_get_from_ddf_dev(ieee80211_dev->ddf_dev);
@@ -914,8 +914,8 @@
  * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_authenticate(ieee80211_dev_t *ieee80211_dev)
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_authenticate(ieee80211_dev_t *ieee80211_dev)
 {
 	nic_t *nic = nic_get_from_ddf_dev(ieee80211_dev->ddf_dev);
@@ -964,8 +964,8 @@
  *                      or NULL for open networks.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_associate(ieee80211_dev_t *ieee80211_dev, char *password)
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_associate(ieee80211_dev_t *ieee80211_dev, char *password)
 {
 	nic_t *nic = nic_get_from_ddf_dev(ieee80211_dev->ddf_dev);
@@ -1054,8 +1054,8 @@
  * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_deauthenticate(ieee80211_dev_t *ieee80211_dev)
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_deauthenticate(ieee80211_dev_t *ieee80211_dev)
 {
 	ieee80211_scan_result_t *auth_data =
@@ -1238,8 +1238,8 @@
  * @param mgmt_header   Pointer to start of management frame header.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-static errno_t ieee80211_process_probe_response(ieee80211_dev_t *ieee80211_dev,
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+static int ieee80211_process_probe_response(ieee80211_dev_t *ieee80211_dev,
     ieee80211_mgmt_header_t *mgmt_header, size_t buffer_size)
 {
@@ -1324,8 +1324,8 @@
  * @param mgmt_header   Pointer to start of management frame header.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-static errno_t ieee80211_process_auth_response(ieee80211_dev_t *ieee80211_dev,
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+static int ieee80211_process_auth_response(ieee80211_dev_t *ieee80211_dev,
     ieee80211_mgmt_header_t *mgmt_header)
 {
@@ -1353,8 +1353,8 @@
  * @param mgmt_header   Pointer to start of management frame header.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-static errno_t ieee80211_process_assoc_response(ieee80211_dev_t *ieee80211_dev,
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+static int ieee80211_process_assoc_response(ieee80211_dev_t *ieee80211_dev,
     ieee80211_mgmt_header_t *mgmt_header)
 {
@@ -1381,5 +1381,5 @@
 }
 
-static errno_t ieee80211_process_4way_handshake(ieee80211_dev_t *ieee80211_dev,
+static int ieee80211_process_4way_handshake(ieee80211_dev_t *ieee80211_dev,
     void *buffer, size_t buffer_size)
 {
@@ -1491,5 +1491,5 @@
 			    (buffer + sizeof(ieee80211_eapol_key_frame_t));
 			
-			errno_t rc;
+			int rc;
 			uint8_t work_key[32];
 			
@@ -1610,5 +1610,5 @@
 }
 
-static errno_t ieee80211_process_eapol_frame(ieee80211_dev_t *ieee80211_dev,
+static int ieee80211_process_eapol_frame(ieee80211_dev_t *ieee80211_dev,
     void *buffer, size_t buffer_size)
 {
@@ -1629,8 +1629,8 @@
  * @param buffer_size   Size of buffer.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-static errno_t ieee80211_process_data(ieee80211_dev_t *ieee80211_dev,
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+static int ieee80211_process_data(ieee80211_dev_t *ieee80211_dev,
     void *buffer, size_t buffer_size)
 {
@@ -1693,8 +1693,8 @@
  * @param buffer_size   Size of buffer.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_rx_handler(ieee80211_dev_t *ieee80211_dev, void *buffer,
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_rx_handler(ieee80211_dev_t *ieee80211_dev, void *buffer,
     size_t buffer_size)
 {
Index: uspace/lib/ieee80211/src/ieee80211_iface_impl.c
===================================================================
--- uspace/lib/ieee80211/src/ieee80211_iface_impl.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ieee80211/src/ieee80211_iface_impl.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,5 +50,5 @@
  *
  */
-errno_t ieee80211_get_scan_results_impl(ddf_fun_t *fun,
+int ieee80211_get_scan_results_impl(ddf_fun_t *fun,
     ieee80211_scan_results_t *results, bool now)
 {
@@ -98,5 +98,5 @@
  *
  */
-static errno_t ieee80211_connect_proc(ieee80211_dev_t *ieee80211_dev,
+static int ieee80211_connect_proc(ieee80211_dev_t *ieee80211_dev,
     ieee80211_scan_result_link_t *auth_data, char *password)
 {
@@ -104,5 +104,5 @@
 	
 	/* Set channel. */
-	errno_t rc = ieee80211_dev->ops->set_freq(ieee80211_dev,
+	int rc = ieee80211_dev->ops->set_freq(ieee80211_dev,
 	    ieee80211_channel_to_freq(auth_data->scan_result.channel));
 	if (rc != EOK)
@@ -178,5 +178,5 @@
  *
  */
-errno_t ieee80211_connect_impl(ddf_fun_t *fun, char *ssid_start, char *password)
+int ieee80211_connect_impl(ddf_fun_t *fun, char *ssid_start, char *password)
 {
 	assert(ssid_start);
@@ -190,5 +190,5 @@
 	
 	if (ieee80211_is_connected(ieee80211_dev)) {
-		errno_t rc = ieee80211_dev->iface->disconnect(fun);
+		int rc = ieee80211_dev->iface->disconnect(fun);
 		if (rc != EOK)
 			return rc;
@@ -197,5 +197,5 @@
 	ieee80211_set_connect_request(ieee80211_dev);
 	
-	errno_t rc = ENOENT;
+	int rc = ENOENT;
 	fibril_mutex_lock(&ieee80211_dev->scan_mutex);
 	
@@ -224,5 +224,5 @@
  *
  */
-errno_t ieee80211_disconnect_impl(ddf_fun_t *fun)
+int ieee80211_disconnect_impl(ddf_fun_t *fun)
 {
 	nic_t *nic_data = nic_get_from_ddf_fun(fun);
@@ -236,5 +236,5 @@
 	
 	fibril_mutex_lock(&ieee80211_dev->ap_list.results_mutex);
-	errno_t rc = ieee80211_deauthenticate(ieee80211_dev);
+	int rc = ieee80211_deauthenticate(ieee80211_dev);
 	fibril_mutex_unlock(&ieee80211_dev->ap_list.results_mutex);
 	
Index: uspace/lib/ieee80211/src/ieee80211_impl.c
===================================================================
--- uspace/lib/ieee80211/src/ieee80211_impl.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ieee80211/src/ieee80211_impl.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -49,5 +49,5 @@
  *
  */
-errno_t ieee80211_start_impl(ieee80211_dev_t *ieee80211_dev)
+int ieee80211_start_impl(ieee80211_dev_t *ieee80211_dev)
 {
 	return EOK;
@@ -63,5 +63,5 @@
  *
  */
-errno_t ieee80211_tx_handler_impl(ieee80211_dev_t *ieee80211_dev, void *buffer,
+int ieee80211_tx_handler_impl(ieee80211_dev_t *ieee80211_dev, void *buffer,
     size_t buffer_size)
 {
@@ -77,5 +77,5 @@
  *
  */
-errno_t ieee80211_set_freq_impl(ieee80211_dev_t *ieee80211_dev, uint16_t freq)
+int ieee80211_set_freq_impl(ieee80211_dev_t *ieee80211_dev, uint16_t freq)
 {
 	return EOK;
@@ -89,5 +89,5 @@
  *
  */
-errno_t ieee80211_bssid_change_impl(ieee80211_dev_t *ieee80211_dev,
+int ieee80211_bssid_change_impl(ieee80211_dev_t *ieee80211_dev,
     bool connected)
 {
@@ -102,5 +102,5 @@
  *
  */
-errno_t ieee80211_key_config_impl(ieee80211_dev_t *ieee80211_dev,
+int ieee80211_key_config_impl(ieee80211_dev_t *ieee80211_dev,
     ieee80211_key_config_t *key_conf, bool insert)
 {
@@ -113,8 +113,8 @@
  * @param clear         Whether to clear current scan results.
  *
- * @return EOK if succeed, error code otherwise.
- *
- */
-errno_t ieee80211_scan_impl(ieee80211_dev_t *ieee80211_dev)
+ * @return EOK if succeed, negative error code otherwise.
+ *
+ */
+int ieee80211_scan_impl(ieee80211_dev_t *ieee80211_dev)
 {
 	fibril_mutex_lock(&ieee80211_dev->scan_mutex);
@@ -178,5 +178,5 @@
  *
  */
-errno_t ieee80211_prf(uint8_t *key, uint8_t *data, uint8_t *hash,
+int ieee80211_prf(uint8_t *key, uint8_t *data, uint8_t *hash,
     size_t output_size)
 {
@@ -212,5 +212,5 @@
 }
 
-errno_t ieee80211_rc4_key_unwrap(uint8_t *key, uint8_t *data, size_t data_size,
+int ieee80211_rc4_key_unwrap(uint8_t *key, uint8_t *data, size_t data_size,
     uint8_t *output)
 {
@@ -218,5 +218,5 @@
 }
 
-errno_t ieee80211_aes_key_unwrap(uint8_t *kek, uint8_t *data, size_t data_size,
+int ieee80211_aes_key_unwrap(uint8_t *kek, uint8_t *data, size_t data_size,
     uint8_t *output)
 {
@@ -285,5 +285,5 @@
 }
 
-errno_t ieee80211_michael_mic(uint8_t *key, uint8_t *buffer, size_t size,
+int ieee80211_michael_mic(uint8_t *key, uint8_t *buffer, size_t size,
     uint8_t *mic)
 {
@@ -372,5 +372,5 @@
 }
 
-errno_t rnd_sequence(uint8_t *sequence, size_t length)
+int rnd_sequence(uint8_t *sequence, size_t length)
 {
 	if (!sequence)
Index: uspace/lib/label/include/label/empty.h
===================================================================
--- uspace/lib/label/include/label/empty.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/include/label/empty.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,7 +41,7 @@
 #include <types/liblabel.h>
 
-extern errno_t label_bd_is_empty(label_bd_t *, bool *);
-extern errno_t label_bd_empty(label_bd_t *);
-extern errno_t label_part_empty(label_part_t *);
+extern int label_bd_is_empty(label_bd_t *, bool *);
+extern int label_bd_empty(label_bd_t *);
+extern int label_part_empty(label_part_t *);
 
 #endif
Index: uspace/lib/label/include/label/label.h
===================================================================
--- uspace/lib/label/include/label/label.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/include/label/label.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,9 +40,9 @@
 #include <types/liblabel.h>
 
-extern errno_t label_open(label_bd_t *, label_t **);
-extern errno_t label_create(label_bd_t *, label_type_t, label_t **);
+extern int label_open(label_bd_t *, label_t **);
+extern int label_create(label_bd_t *, label_type_t, label_t **);
 extern void label_close(label_t *);
-extern errno_t label_destroy(label_t *);
-extern errno_t label_get_info(label_t *, label_info_t *);
+extern int label_destroy(label_t *);
+extern int label_get_info(label_t *, label_info_t *);
 
 extern label_part_t *label_part_first(label_t *);
@@ -50,9 +50,9 @@
 extern void label_part_get_info(label_part_t *, label_part_info_t *);
 
-extern errno_t label_part_create(label_t *, label_part_spec_t *,
+extern int label_part_create(label_t *, label_part_spec_t *,
     label_part_t **);
-extern errno_t label_part_destroy(label_part_t *);
+extern int label_part_destroy(label_part_t *);
 extern void label_pspec_init(label_part_spec_t *);
-extern errno_t label_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
+extern int label_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
 
 #endif
Index: uspace/lib/label/include/types/liblabel.h
===================================================================
--- uspace/lib/label/include/types/liblabel.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/include/types/liblabel.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,15 +54,15 @@
 /** Ops for individual label type */
 typedef struct {
-	errno_t (*open)(label_bd_t *, label_t **);
-	errno_t (*create)(label_bd_t *, label_t **);
+	int (*open)(label_bd_t *, label_t **);
+	int (*create)(label_bd_t *, label_t **);
 	void (*close)(label_t *);
-	errno_t (*destroy)(label_t *);
-	errno_t (*get_info)(label_t *, label_info_t *);
+	int (*destroy)(label_t *);
+	int (*get_info)(label_t *, label_info_t *);
 	label_part_t *(*part_first)(label_t *);
 	label_part_t *(*part_next)(label_part_t *);
 	void (*part_get_info)(label_part_t *, label_part_info_t *);
-	errno_t (*part_create)(label_t *, label_part_spec_t *, label_part_t **);
-	errno_t (*part_destroy)(label_part_t *);
-	errno_t (*suggest_ptype)(label_t *, label_pcnt_t, label_ptype_t *);
+	int (*part_create)(label_t *, label_part_spec_t *, label_part_t **);
+	int (*part_destroy)(label_part_t *);
+	int (*suggest_ptype)(label_t *, label_pcnt_t, label_ptype_t *);
 } label_ops_t;
 
@@ -144,11 +144,11 @@
 struct label_bd_ops {
 	/** Get block size */
-	errno_t (*get_bsize)(void *, size_t *);
+	int (*get_bsize)(void *, size_t *);
 	/** Get number of blocks */
-	errno_t (*get_nblocks)(void *, aoff64_t *);
+	int (*get_nblocks)(void *, aoff64_t *);
 	/** Read blocks */
-	errno_t (*read)(void *, aoff64_t, size_t, void *);
+	int (*read)(void *, aoff64_t, size_t, void *);
 	/** Write blocks */
-	errno_t (*write)(void *, aoff64_t, size_t, const void *);
+	int (*write)(void *, aoff64_t, size_t, const void *);
 };
 
Index: uspace/lib/label/src/dummy.c
===================================================================
--- uspace/lib/label/src/dummy.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/src/dummy.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,15 +40,15 @@
 #include "dummy.h"
 
-static errno_t dummy_open(label_bd_t *, label_t **);
-static errno_t dummy_create(label_bd_t *, label_t **);
+static int dummy_open(label_bd_t *, label_t **);
+static int dummy_create(label_bd_t *, label_t **);
 static void dummy_close(label_t *);
-static errno_t dummy_destroy(label_t *);
-static errno_t dummy_get_info(label_t *, label_info_t *);
+static int dummy_destroy(label_t *);
+static int dummy_get_info(label_t *, label_info_t *);
 static label_part_t *dummy_part_first(label_t *);
 static label_part_t *dummy_part_next(label_part_t *);
 static void dummy_part_get_info(label_part_t *, label_part_info_t *);
-static errno_t dummy_part_create(label_t *, label_part_spec_t *, label_part_t **);
-static errno_t dummy_part_destroy(label_part_t *);
-static errno_t dummy_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
+static int dummy_part_create(label_t *, label_part_spec_t *, label_part_t **);
+static int dummy_part_destroy(label_part_t *);
+static int dummy_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
 
 label_ops_t dummy_label_ops = {
@@ -66,5 +66,5 @@
 };
 
-static errno_t dummy_open(label_bd_t *bd, label_t **rlabel)
+static int dummy_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -73,5 +73,5 @@
 	aoff64_t nblocks;
 	uint64_t ba_min, ba_max;
-	errno_t rc;
+	int rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -128,5 +128,5 @@
 }
 
-static errno_t dummy_create(label_bd_t *bd, label_t **rlabel)
+static int dummy_create(label_bd_t *bd, label_t **rlabel)
 {
 	return ENOTSUP;
@@ -148,10 +148,10 @@
 }
 
-static errno_t dummy_destroy(label_t *label)
-{
-	return ENOTSUP;
-}
-
-static errno_t dummy_get_info(label_t *label, label_info_t *linfo)
+static int dummy_destroy(label_t *label)
+{
+	return ENOTSUP;
+}
+
+static int dummy_get_info(label_t *label, label_info_t *linfo)
 {
 	memset(linfo, 0, sizeof(label_info_t));
@@ -193,5 +193,5 @@
 }
 
-static errno_t dummy_part_create(label_t *label, label_part_spec_t *pspec,
+static int dummy_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
@@ -199,10 +199,10 @@
 }
 
-static errno_t dummy_part_destroy(label_part_t *part)
-{
-	return ENOTSUP;
-}
-
-static errno_t dummy_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+static int dummy_part_destroy(label_part_t *part)
+{
+	return ENOTSUP;
+}
+
+static int dummy_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
Index: uspace/lib/label/src/empty.c
===================================================================
--- uspace/lib/label/src/empty.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/src/empty.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -97,7 +97,7 @@
 }
 
-errno_t label_bd_is_empty(label_bd_t *bd, bool *rempty)
-{
-	errno_t rc;
+int label_bd_is_empty(label_bd_t *bd, bool *rempty)
+{
+	int rc;
 	void *buf = NULL;
 	aoff64_t nblocks;
@@ -174,7 +174,7 @@
 }
 
-errno_t label_bd_empty(label_bd_t *bd)
-{
-	errno_t rc;
+int label_bd_empty(label_bd_t *bd)
+{
+	int rc;
 	void *buf = NULL;
 	aoff64_t nblocks;
@@ -236,7 +236,7 @@
 }
 
-errno_t label_part_empty(label_part_t *part)
-{
-	errno_t rc;
+int label_part_empty(label_part_t *part)
+{
+	int rc;
 	void *buf = NULL;
 	aoff64_t block0;
Index: uspace/lib/label/src/gpt.c
===================================================================
--- uspace/lib/label/src/gpt.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/src/gpt.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,30 +46,30 @@
 #include "gpt.h"
 
-static errno_t gpt_open(label_bd_t *, label_t **);
-static errno_t gpt_create(label_bd_t *, label_t **);
+static int gpt_open(label_bd_t *, label_t **);
+static int gpt_create(label_bd_t *, label_t **);
 static void gpt_close(label_t *);
-static errno_t gpt_destroy(label_t *);
-static errno_t gpt_get_info(label_t *, label_info_t *);
+static int gpt_destroy(label_t *);
+static int gpt_get_info(label_t *, label_info_t *);
 static label_part_t *gpt_part_first(label_t *);
 static label_part_t *gpt_part_next(label_part_t *);
 static void gpt_part_get_info(label_part_t *, label_part_info_t *);
-static errno_t gpt_part_create(label_t *, label_part_spec_t *, label_part_t **);
-static errno_t gpt_part_destroy(label_part_t *);
-static errno_t gpt_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
-
-static errno_t gpt_check_free_idx(label_t *, int);
-static errno_t gpt_check_free_range(label_t *, uint64_t, uint64_t);
+static int gpt_part_create(label_t *, label_part_spec_t *, label_part_t **);
+static int gpt_part_destroy(label_part_t *);
+static int gpt_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
+
+static int gpt_check_free_idx(label_t *, int);
+static int gpt_check_free_range(label_t *, uint64_t, uint64_t);
 
 static void gpt_unused_pte(gpt_entry_t *);
-static errno_t gpt_part_to_pte(label_part_t *, gpt_entry_t *);
-static errno_t gpt_pte_to_part(label_t *, gpt_entry_t *, int);
-static errno_t gpt_pte_update(label_t *, gpt_entry_t *, int);
-
-static errno_t gpt_update_pt_crc(label_t *, uint32_t);
+static int gpt_part_to_pte(label_part_t *, gpt_entry_t *);
+static int gpt_pte_to_part(label_t *, gpt_entry_t *, int);
+static int gpt_pte_update(label_t *, gpt_entry_t *, int);
+
+static int gpt_update_pt_crc(label_t *, uint32_t);
 static void gpt_hdr_compute_crc(gpt_header_t *, size_t);
-static errno_t gpt_hdr_get_crc(gpt_header_t *, size_t, uint32_t *);
-
-static errno_t gpt_pmbr_create(label_bd_t *, size_t, uint64_t);
-static errno_t gpt_pmbr_destroy(label_bd_t *, size_t);
+static int gpt_hdr_get_crc(gpt_header_t *, size_t, uint32_t *);
+
+static int gpt_pmbr_create(label_bd_t *, size_t, uint64_t);
+static int gpt_pmbr_destroy(label_bd_t *, size_t);
 
 const uint8_t efi_signature[8] = {
@@ -92,5 +92,5 @@
 };
 
-static errno_t gpt_open(label_bd_t *bd, label_t **rlabel)
+static int gpt_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -111,5 +111,5 @@
 	uint32_t hdr_crc;
 	int i, j;
-	errno_t rc;
+	int rc;
 
 	gpt_hdr[0] = NULL;
@@ -345,5 +345,5 @@
 }
 
-static errno_t gpt_create(label_bd_t *bd, label_t **rlabel)
+static int gpt_create(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -362,5 +362,5 @@
 	uuid_t disk_uuid;
 	int i, j;
-	errno_t rc;
+	int rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -510,5 +510,5 @@
 }
 
-static errno_t gpt_destroy(label_t *label)
+static int gpt_destroy(label_t *label)
 {
 	gpt_header_t *gpt_hdr = NULL;
@@ -516,5 +516,5 @@
 	label_part_t *part;
 	int i;
-	errno_t rc;
+	int rc;
 
 	part = gpt_part_first(label);
@@ -580,5 +580,5 @@
 }
 
-static errno_t gpt_get_info(label_t *label, label_info_t *linfo)
+static int gpt_get_info(label_t *label, label_info_t *linfo)
 {
 	memset(linfo, 0, sizeof(label_info_t));
@@ -624,10 +624,10 @@
 }
 
-static errno_t gpt_part_create(label_t *label, label_part_spec_t *pspec,
+static int gpt_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
 	label_part_t *part;
 	gpt_entry_t pte;
-	errno_t rc;
+	int rc;
 
 	part = calloc(1, sizeof(label_part_t));
@@ -696,8 +696,8 @@
 }
 
-static errno_t gpt_part_destroy(label_part_t *part)
+static int gpt_part_destroy(label_part_t *part)
 {
 	gpt_entry_t pte;
-	errno_t rc;
+	int rc;
 
 	/* Prepare unused partition table entry */
@@ -715,9 +715,9 @@
 }
 
-static errno_t gpt_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+static int gpt_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
 	const char *ptid;
-	errno_t rc;
+	int rc;
 
 	ptid = NULL;
@@ -748,5 +748,5 @@
 
 /** Verify that the specified index is valid and free. */
-static errno_t gpt_check_free_idx(label_t *label, int index)
+static int gpt_check_free_idx(label_t *label, int index)
 {
 	label_part_t *part;
@@ -771,5 +771,5 @@
 }
 
-static errno_t gpt_check_free_range(label_t *label, uint64_t block0,
+static int gpt_check_free_range(label_t *label, uint64_t block0,
     uint64_t nblocks)
 {
@@ -796,5 +796,5 @@
 }
 
-static errno_t gpt_part_to_pte(label_part_t *part, gpt_entry_t *pte)
+static int gpt_part_to_pte(label_part_t *part, gpt_entry_t *pte)
 {
 	uint64_t eblock;
@@ -814,5 +814,5 @@
 }
 
-static errno_t gpt_pte_to_part(label_t *label, gpt_entry_t *pte, int index)
+static int gpt_pte_to_part(label_t *label, gpt_entry_t *pte, int index)
 {
 	label_part_t *part;
@@ -856,5 +856,5 @@
  * @a pte.
  */
-static errno_t gpt_pte_update(label_t *label, gpt_entry_t *pte, int index)
+static int gpt_pte_update(label_t *label, gpt_entry_t *pte, int index)
 {
 	size_t pos;
@@ -866,5 +866,5 @@
 	uint32_t crc;
 	int i;
-	errno_t rc;
+	int rc;
 
 	/* Byte offset of partition entry */
@@ -921,8 +921,8 @@
 }
 
-static errno_t gpt_update_pt_crc(label_t *label, uint32_t crc)
+static int gpt_update_pt_crc(label_t *label, uint32_t crc)
 {
 	gpt_header_t *gpt_hdr;
-	errno_t rc;
+	int rc;
 	int i;
 
@@ -968,5 +968,5 @@
 }
 
-static errno_t gpt_hdr_get_crc(gpt_header_t *hdr, size_t hdr_size, uint32_t *crc)
+static int gpt_hdr_get_crc(gpt_header_t *hdr, size_t hdr_size, uint32_t *crc)
 {
 	gpt_header_t *c;
@@ -985,9 +985,9 @@
 
 /** Create GPT Protective MBR */
-static errno_t gpt_pmbr_create(label_bd_t *bd, size_t bsize, uint64_t nblocks)
+static int gpt_pmbr_create(label_bd_t *bd, size_t bsize, uint64_t nblocks)
 {
 	mbr_br_block_t *pmbr = NULL;
 	uint64_t pmbr_nb;
-	errno_t rc;
+	int rc;
 
 	pmbr = calloc(1, bsize);
@@ -1023,8 +1023,8 @@
 
 /** Destroy GPT Protective MBR */
-static errno_t gpt_pmbr_destroy(label_bd_t *bd, size_t bsize)
+static int gpt_pmbr_destroy(label_bd_t *bd, size_t bsize)
 {
 	mbr_br_block_t *pmbr = NULL;
-	errno_t rc;
+	int rc;
 
 	pmbr = calloc(1, bsize);
Index: uspace/lib/label/src/label.c
===================================================================
--- uspace/lib/label/src/label.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/src/label.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,8 +51,8 @@
 };
 
-errno_t label_open(label_bd_t *bd, label_t **rlabel)
+int label_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_ops_t **ops;
-	errno_t rc;
+	int rc;
 
 	ops = &probe_list[0];
@@ -67,5 +67,5 @@
 }
 
-errno_t label_create(label_bd_t *bd, label_type_t ltype, label_t **rlabel)
+int label_create(label_bd_t *bd, label_type_t ltype, label_t **rlabel)
 {
 	label_ops_t *ops = NULL;
@@ -96,10 +96,10 @@
 }
 
-errno_t label_destroy(label_t *label)
+int label_destroy(label_t *label)
 {
 	return label->ops->destroy(label);
 }
 
-errno_t label_get_info(label_t *label, label_info_t *linfo)
+int label_get_info(label_t *label, label_info_t *linfo)
 {
 	return label->ops->get_info(label, linfo);
@@ -121,5 +121,5 @@
 }
 
-errno_t label_part_create(label_t *label, label_part_spec_t *pspec,
+int label_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
@@ -127,5 +127,5 @@
 }
 
-errno_t label_part_destroy(label_part_t *part)
+int label_part_destroy(label_part_t *part)
 {
 	return part->label->ops->part_destroy(part);
@@ -137,5 +137,5 @@
 }
 
-errno_t label_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+int label_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
